MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Operators > Speed >

# SpeedByIcon : Helper

    SpeedByIcon - superclass: helper super-superclass:node - classID: #(1962490650, 515064320)

Value > MAXWrapper > Node > Helper > SpeedByIcon

| Particle Flow - Quick Navigation

Description:

The SpeedByIcon operator lets you use a special, non-rendering icon to control particle speed and direction. Its operator icon appears in the viewport when you add the operator to the system. When animated, the operator icon's motion is imparted to the particles.

Constructor:

    SpeedByIcon...

Properties:

    <SpeedByIcon>.Accel_Limit Float default:100.0 --world units

The maximum amount, in system units per second per second, by which the particles' speed can change in order to match the speed of the operator icon.

    <SpeedByIcon>.Influence Float default:100.0 --percentage

Determines the mix of the previous speed with the speed of the operator icon. Range=0.0 to 100.0.

    <SpeedByIcon>.Use_Speed_Variation Boolean default:false

When set to True, enables random variation of the particles' speed, so they don't all move at exactly the same rate as the icon.

    <SpeedByIcon>.Speed_Minimum Float default:50.0 --percentage

Get/set the minimum percentage of particle speed variation when .Use_Speed_Variation is set to True.

    <SpeedByIcon>.Speed_Maximum Float default:100.0 --percentage

Get/set the maximum percentage of particle speed variation when .Use_Speed_Variation is set to True.

    <SpeedByIcon>.User_Icon_Orientation Boolean default:false

When set to True, applies animation of the icon's orientation to the particles.

    <SpeedByIcon>.Steer_Towards_Trajectory Boolean default:false

When set to True, particles farther away than the .Distance value (see below) from the icon are moved directly toward the icon.

    <SpeedByIcon>.Distance Float default:10.0 --world units

Get/set the distance between the particles and the operator icon beyond which .Steer_Towards_Trajectory takes effect.

    <SpeedByIcon>.Sync_Type_Param_Animation Integer default:0

Controls the state of the Sync By drop-down list in the Parameters Animation group in the UI. Specifies the time frame for applying animated parameters:

0: Absolute Time - Any keys set for parameters are applied at the actual frames for which they're set.

1: Particle Age - Any keys set for parameters are applied at the corresponding frames of each particle's existence.

2: Event Duration - Any keys set for parameters are applied to each particle relative to the frame at which it first enters the event.

    <SpeedByIcon>.Sync_Type_Icon_Animation Integer default:2

Controls the state of the Sync By drop-down list in the Icon Animation group in the UI. Specifies the time frame for applying animation of the icon to the particles:

0: Absolute Time - Any keys set for icon motion are applied at the actual frames for which they're set.

1: Particle Age - Any keys set for icon motion are applied at the corresponding frames of each particle's existence.

2: Event Duration - Any keys set for icon motion are applied to each particle relative to the frame at which it first enters the event.

    <SpeedByIcon>.Icon_Size Float default:30.0 --world units

Get/Set the icon size.

    <SpeedByIcon>.Color_Type Boolean default:true

Controls the state of the Color Coordinated checkbox in the UI.

    <SpeedByIcon>.Random_Seed Integer default:12345

Specifies a randomization value.

## SpeedByIcon Interfaces:

Interface: action

Interface: operator

#### See Also

- Particle Flow Classes